Subject: bug#21456: 24.5; Emacs does not respect fcitx as GTK input method

From: Eric Abrahamsen <[email-masked]>
Date: Thu, 03 Dec 2020 10:06:34 -0800

Lars Ingebrigtsen <[email-masked]> writes:

> Zachary Acreman <[email-masked]> writes:
>
>> Emacs compiled with GTK does not respect fcitx as the system-wide GTK
>> input method.
>>
>> When I use a keyboard configuration with right-alt mapped to Compose, I
>> get "<Multi-key> is undefined" messages in Emacs instead of the expected
>> behavior.
>>
>> When I use a keyboard configuration with dead keys for accented
>> characters, I get messages like "<dead-acute> is undefined" instead of
>> the expected behavior.
>>
>> Chinese Pinyin input methods are ignored.
>>
>> XMODIFIERS=@im=fcitx
>> GTK_IM_MODULE=fcitx
>>
>> fcitx input works correctly in every other application on this system
>> that I have tested.
>
> (This bug report unfortunately got no response at the time.)
>
> Do you have a recipe, starting from "emacs -Q", to reproduce this issue?

Reproduction would likely require installing and configuring fcitx, if
you're willing to do that. It's 100% reproducible, and I've started
Emacs like this for many years in order to make it work:

env LC_CTYPE=zh_CN.UTF-8 /home/eric/dev/emacs/src/emacs

I thought that might cause other weirdness in Emacs, but it never did,
not that I noticed.

Actually, I'm running the pgtk branch as my daily driver now, maybe it's
time to remove that incantation and see if anything's changed.

Eric